#
#   Module Name:    toshiba-aipsvcp-suse11.spec
#
#   Description:    Toshiba Service Processor driver - RPM Specification
#                   For: Toshiba POS Sensor Drivers - Service Processor Edition
#					On: SLES, SLED, SLEPOS 11
#
#  Copyright 2009,2011, International Business Machines Corporation.
#  Copyright 2013, Toshiba Global Commerce Solutions, Inc.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1.  Redistributions of source code must retain the above copyright notice,
#     this list of conditions and the following disclaimer.
#
# 2.  Redistributions in binary form must reproduce the above copyright notice,
#     this list of conditions and the following disclaimer in the documentation
#     and/or other materials provided with the distribution.
#
# 3.  The name of the author may not be used to endorse or promote products
#     derived from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# Should you need to contact me, the author, you can do so either by
# e-mail - mail your message to <farrowg@sg.ibm.com>.
#

# norootforbuild
%define my_release 0

###############################################################################
Name:           toshiba-aipsvcp-suse11
Version:        1.2
Release:        %{?my_release}
Group:          System/Kernel
Summary:        Toshiba Service Processor Kernel Module Package
License:        GPL
#Vendor:         Toshiba Global Commerce Solutions
Url:            http://www.toshibagcs.com
Source0:        %name-%version.tar.bz2
Source1:        Module.supported
Source2:        preamble
Source3:        aipsvcp.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %kernel_module_package_buildreqs
#Provides:       toshiba-aipsvcp-suse11
Obsoletes:      ibm-aipsvcp-suse11
###############################################################################

%kernel_module_package -p %_sourcedir/preamble

%description
This is the Toshiba Service Processor Kernel Module Package.

%package KMP
Summary: Toshiba Service Processor Kernel Module
Group: System/Kernel

%description KMP
This is the Toshiba Service Processor Kernel Module Package. It provides an interface
used by the 'Toshiba POS Sensor Drivers 2.x - Service Processor Edition' providers to
collect motherboard information from sensors attached to the service processor microcontroller.
An example of such sensors is a CPU temperature sensor.



%prep
%setup
cp %_sourcedir/Module.supported Module.supported
cp %_sourcedir/preamble preamble
cp %_sourcedir/aipsvcp.conf aipsvcp.conf

set -- *
mkdir source
mv "$@" source/
mkdir obj


%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
    M=$PWD/obj/$flavor
done


%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
     M=$PWD/obj/$flavor
    install -m755 -d $RPM_BUILD_ROOT/etc/modprobe.d
    install -m755 $PWD/obj/$flavor/aipsvcp.conf $RPM_BUILD_ROOT/etc/modprobe.d/aipsvcp.conf
done

%files
%defattr(-,root,root)
/etc/modprobe.d/aipsvcp.conf

%changelog
* Thu Jun 20 2013 sbahling@suse.com
- kmps require base package for blacklisting
* Thu Jun 13 2013 poswald@suse.com
-Initial PLDP build of the aipsvcp with additional blacklisting of the conflicting iTCO_wdt driver.
